\documentclass[10pt,a4paper,openbib]{article}
\usepackage[a4paper, bottom=2cm]{geometry}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}

\usepackage{amsmath}

\usepackage{url}
\usepackage[hidelinks]{hyperref}
\usepackage{graphicx}

\usepackage{xcolor}

\usepackage{fancyvrb}
\usepackage{tabu}

\usepackage[style=numeric,sorting=none,backend=biber]{biblatex}
\addbibresource{bibliografia.bib}

\usepackage{paralist}
\usepackage{listings} 

\usepackage{tikz}
\usepackage{pgfplots}
\usepackage{pgfplotstable}
\usepackage{mathtools}

\usepackage{longtable}
\usepackage{color,colortbl}
\usepackage{tabu}
\usepackage{booktabs}
\usepackage{subfloat}
\usepackage{subfig}
\usepackage{float}

\usepackage{ifthen}

\usepackage{multicol}

\usepackage{lscape}

\usepackage{enumitem}

\definecolor{ROJO}{HTML}{FFDEDE}
\definecolor{CABECERA}{HTML}{E6F1FF}
\definecolor{SUBCABECERA}{HTML}{FFF7E6}

%running fraction with slash - requires math mode.
\newcommand*\rfrac[2]{{}^{#1}\!/_{#2}}

\lstset{% 
	basicstyle=\ttfamily,
	commentstyle = \color{gray},
	frame=single,
	numbers=left,
	language=C,
	breaklines=true,
	columns=fullflexible,
	tabsize = 4,
	breakindent=0pt}  

\def\arraystretch{1.5}


\author{
	Laso Rodríguez, Ruben\\
	\texttt{ruben.laso@rai.usc.es}
	\\\\Universidade de Santiago de Compostela}
\date{\today}
\title{Summary: Intel Xeon Phi Processor High Performance Programming. Knight Landing Edition}

%\unaccentedoperators
%\unspacedoperators

\begin{document}
	\maketitle
		
	\tableofcontents
	
	\newpage
	
	\input{notes/chapter2.tex}
	
	\input{notes/chapter3.tex}
	
	\input{notes/chapter4.tex}

	\newpage	
	\section*{Glossary}
	\begin{description}[align=right]
		\item[AU] Allocation Unit.
		
		\item[BUI] Bus Interface Unit.
		
		\item[FEU] Front-End Unit.
		
		\item[FMA] The FMA instruction set is an extension to the 128 and 256-bit Streaming SIMD Extensions instructions in the x86 microprocessor instruction set to perform fused multiply–add (FMA) operations.
		
		\item[IEU] Integer Execution Unit.
		
		\item[IQ] Instruction Queue.
		
		\item[MCDRAM] Multi-Channel DRAM (MCDRAM) in addition to the traditional DDR4. MCDRAM is a high bandwidth (~4x more than DDR4), low capacity (up to 16GB) memory, packaged with the Knights Landing Silicon. MCDRAM can be configured as a third level cache (memory side cache) or as a distinct NUMA node (allocatable memory) or somewhere in between. 
		
		\item[MEU] Memory Execution Unit.
		
		\item[NUMA] Non-uniform memory access (NUMA) is a computer memory design used in multiprocessing, where the memory access time depends on the memory location relative to the processor. Under NUMA, a processor can access its own local memory faster than non-local memory (memory local to another processor or memory shared between processors).
		
		\item[RB] Rename Buffer.
		
		\item[RF] Register File.
		
		\item[RS] Reservation Station.
		
		\item[ROB] Reorder Buffer. A re-order buffer is used in a Tomasulo algorithm for out-of-order instruction execution. It allows instructions to be committed in-order.
		
		Normally, there are three stages of instructions: "Issue", "Execute", "Write Result". In Tomasulo algorithm, there is an additional stage "Commit". In this stage, the results of instructions will be stored in a register or memory. In the "Write Result" stage, the results are just put in the re-order buffer. All contents in this buffer can then be used when executing other instructions depending on these.
		
		\item[SIMD] Single Instruction Multiple Data.
		
		\item[SNC] Sub-NUMA Clustering.
		
		\item[UMA] Uniform memory access is a shared memory architecture used in parallel computers. All the processors in the UMA model share the physical memory uniformly. In a UMA architecture, access time to a memory location is independent of which processor makes the request or which memory chip contains the transferred data. 
		
		\item[VPU] Vector Processing Units.
	\end{description}
	
	\newpage
	\begin{appendix}
	\end{appendix}
	
	\newpage
	\printbibliography
	
\end{document}